function Test-Central {
    [CmdletBinding()]
    [OutputType([bool])]
    param (
        [Parameter(Mandatory = $true)][Parameters]$Parameters
    )

    if ($null -eq $Parameters.LSCentral.Server.Credential) {
        return $false
    }

    # Create SQL credential object.
    $Parameters.LSCentral.Server.Credential.Password.MakeReadOnly()
    [System.Data.SqlClient.SqlCredential]$SQLCredential = New-Object System.Data.SqlClient.SqlCredential($Parameters.LSCentral.Server.Credential.UserName, $Parameters.LSCentral.Server.Credential.Password)
    
    # Test the connection.
    $Connection = Test-LSSQLConnection $SQLCredential $Parameters.LSCentral.Server.Name $Parameters.LSCentral.Database.Name
    
    return $Connection
}